Clanbite Social Kit JavaScript

wp.hooks.applyFilters( 'clanbite.socialKit.composerPostBody', Object body, Object args )

Filters the JSON body the Social composer sends to POST /clanbite-social-kit/v1/posts.

Filter JavaScript

Parameters

$body (Object)

Request body (content, visibility, media, poll, and context fields).

$args (Object)

{ feedContext, subjectId }: the feed context slug and its subject ID.

Example

wp.hooks.addFilter( 'clanbite.socialKit.composerPostBody', 'my-plugin/handler', function ( body, args ) {
	return body;
} );

Defined in src/blocks/shared/social-feed-view.js